%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 36. chonizv.m %%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 function y=chonizv(x,s)
% Normalizes a real mulprec column vector, and chops the
% result to s gytes in each component.

sx=size(x); t2=zeros(sx(1),s);
for i=1:sx(1)
   t1=rnize(x(i,:));
   t2(i,:)=chop(t1,s);
end
y=t2;
