function y=musv(sca,vec,p)
%
% Multiplies all the components of the mulprec vector vec by
% the mulprec scalar sca .
%   If nargin==3 & p>0, y will be shortened to at most length p. (Compare  mul .)
%   If nargin==3 & p==0, it is required that the components of y gets the same
% exponent and size as vec(1,:). This is achieved by means of the function
% fixcom . An error message is given, if this requirement cannot be met.
% Uses fixcom.m.
% Very preliminary.

lev=size(vec,1);
if nargin==3,
  if p>0,
    for j=1:lev,  y(j,:)=mul(sca, vec(j,:),p); end
  elseif p==0,
    for j=1:lev,
      tmp=mul(sca, vec(j,:));
      y(j,:)=fixcom(tmp,vec(1,:));
    end
  end
else  % nargin<3
  for j=1:lev,  y(j,:)=mul(sca, vec(j,:)); end
end

%(although they are not necessarily normalized).
% Inserting and removing zeros is allowed at the beginning and the
% end, and als If this cannot be done, it should
% There will be a warning if the other components of  vec  do not conform
% with vec(1). (Not yet implemented.)
% There will be error messages if the assumptions are not satisfied, or the
% requirements cannot be satisfied by the program. (Not yet implemented.)
%   A mulprec vector is stored in a matrix; one row for each component,
% the exponent and the gytes are the elements of this row.
%  If s==1, the program is allowed to remove non-zero gytes from y at the end,
% in order to match the requirement (is even allowed to annihilate y). If
% s==0, this is not allowed, but
