function y=rnize(x)
% Normalize the (legal) real mulprec number x.
% Uses elizer.m.
% REMARK: Change (?) it nize(x,s); s optional, chop x to s gytes ????
%
global P
%P=10^7;          % P should be replaced by GB (= gyte base) and be made global.
if length(x)==1, y=npr(x); return, end  % if x is a float
% Eliminate zeros in the beginning and in the end of x:
x=elizer(x);  % x(1) is also adjusted.
leu=length(x)-1;
%
u=x(2:leu+1);
if any(u)==0, y=x; return,           end
while norm(u,inf)>P/2,
   n=round(u./P);
   u=u-n*P+[n(2:leu),0];  % Reduce each gyte modulo P to
                          % the absolutely smallest modulus.
   if abs(n(1))>0,
     u=[n(1), u]; leu=leu+1; % Carry to the left of u(1).
   end % if
end   % while  % Now, all |u(j)|<=P/2, sgn(val(u))=sgn(u(1)).
u1=u(1);
for j=2:leu,              % All gytes will get the same sign
   if    u1<0,
      if u(j)>0, u(j)=u(j)-P; u(j-1)=u(j-1)+1; end,
   elseif u1>0,
      if u(j)<0, u(j)=u(j)+P; u(j-1)=u(j-1)-1; end,
   end %if
end     %for
if u(1)==0, u=u(2:leu);              end
% u(2) and u(leu) cannot be zero here.
y=[x(1), u]; xo=x;
%

%xflo=flo(x);
%Something seems to be wrong with this check, so I remove it.
%if xflo~=zeros(size(xflo)), %
%%   relerr=flo(y)./xflo -1;
 %  if abs(relerr)>1e-12,
 %%     xflo, relerr,
  %    disp('Big error in normalization.')
  %end
 %end