%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  32. scalp.m  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function c=scalp(u,v,s);
% Real Euclidean scalar product of two mulprec column(!) vectors u,v. (They are
% ''cracovians'' rather than column matrices  ..)


 su=size(u); sv=size(v);
 if su(1)~=sv(1),
    error('dimension error in scalp', su, sv);
    return
 end;
 cc=0;
 for i=1:su(1)
    cc= add( cc, mul(u(i,:),v(i,:),s+1)); % is better written with array mult.?
 end
 c=chop(cc,s);
